Author: Alexander Zangerl <az@debian.org>
Subject: fakesmtp test tool doesn't always start fast enough


--- a/test/post/test-post-common.sh
+++ b/test/post/test-post-common.sh
@@ -29,7 +29,17 @@ echo "clientname: nosuchhost.example.com
 test_post ()
 { pid=`"${MH_OBJ_DIR}/test/fakesmtp" "$1" $localport`
 
-    run_prog send -draft -server 127.0.0.1 -port $localport $3 || exit 1
+    # The server doesn't always come up fast enough, so sleep and
+    # retry a few times if it fails...
+    status=1
+    for i in 0 1 2 3 4 5 6 7 8 9; do
+        if run_prog send -draft -server 127.0.0.1 -port $localport $3 ; then
+            status=0
+	    break
+        fi
+	sleep 1
+    done
+    [ $status -eq 0 ] || exit 1
 
     #
     # It's hard to calculate the exact Date: header post is going to
